# class Syck::DomainType

Default domain type

### Public Class Methods

new( domain, type, val ) click to toggle source

    # File lib/syck/types.rb, line 30
    def initialize( domain, type, val )
        @domain = domain; @type_id = type; @value = val
        @value.taguri = "tag:#{ @domain }:#{ @type_id }"
    end

tag_subclasses?() click to toggle source

    # File lib/syck/types.rb, line 28
    def self.tag_subclasses?; false; end

### Public Instance Methods

to_yaml( opts = {} ) click to toggle source

    # File lib/syck/types.rb, line 34
    def to_yaml( opts = {} )
        @value.to_yaml( opts )
    end